Bug 169963 - Please Create New Oracle/VMware Eval Channel and Mappings
Please Create New Oracle/VMware Eval Channel and Mappings
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Channels (Show other bugs)
RHN Stable
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Slagle
Vlady Zlatkin
Depends On:
  Show dependency treegraph
Reported: 2005-10-05 17:24 EDT by Matt Webbink
Modified: 2007-04-18 13:32 EDT (History)
2 users (show)

See Also:
Fixed In Version: rhnstable
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-10 16:56:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matt Webbink 2005-10-05 17:24:07 EDT
Please create the new channel family "oracle-vmware-eval", per revision # 67615
of oracle-vmware-redhat-channels.csv for the new Oracle/Vmware eval.

Please also add the channel mappings to SER0234US and WAR0287, per revision #
67615 of oracle-vmare-redhat-mappings.csv.  Please Note:  These SKU's will not
be active in WebQA until Thursday morning (10/06/05).

The new channel and mappings need to be created by COB Friday (10/07/05).
Comment 1 James Slagle 2005-10-06 10:19:53 EDT
You need to change the release column for this new channel in
oracle-vmware-redhat-channels.csv to something other than 1.  There is already a
channel with a release of 1, and arch of ia32 (it's rhel-i386-vmware-eval, in
the same file actually).  There can only be one unique combination of OS (Red
Hat Linux), release, arch for a base channel in the db.

A base channel is a channel with no parent channel.

We use this unique combination to make an educated guess as to what base channel
a server should be subscribed to when it registers to RHN.  In your case, I
don't really think you care about that too much, so you can probably change the
release to whatever you want (like say "1.1").  You just don't want to change it
to something that would overlap with a release of RHEL (like "2.1", "3AS",
"4WS", etc.).
Comment 2 Matt Webbink 2005-10-06 10:32:55 EDT
Okay - release has been changed to "1.1", per revision # 67641 of
Comment 3 James Slagle 2005-10-06 10:50:33 EDT
Channel and family created:

[channels]$ python ~/svn/eng/scripts/create-channel.py --verbose
--db=rhnuser/rhnuser@webqa --csv=oracle-vmware-redhat-channels.csv
--create-family --commit
Connecting to rhnuser/rhnuser@webqa
Creating channel oracle-rhel-i386-vmware-eval
  Channel oracle-rhel-i386-vmware-eval membership updated
Comment 4 James Slagle 2005-10-06 10:51:49 EDT
mappings updated:

[mappings]$ python ~/svn/eng/scripts/entitlement-mapper.py --verbose
--db=rhnuser/rhnuser@webqa --csv=oracle-vmware-redhat-mappings.csv --all --commit
Connecting to rhnuser/rhnuser@webqa
Processing CSV oracle-vmware-redhat-mappings.csv
  found 2 items
    SER0234US WAR0287
Creating item mappings
  processing item SER0234US
  processing item WAR0287
Scheduling org repolls
  0 orgs have active SER0234US lines
  0 orgs have active WAR0287 lines
Comment 5 James Slagle 2005-10-06 10:52:17 EDT
Please verify on QA.
Comment 6 James Slagle 2005-10-06 15:35:26 EDT
Had a chance to verify?
Comment 7 Matt Webbink 2005-10-06 15:47:05 EDT
It's fine, but I think Prod Ops will need to push the bits to the channel in QA
before moving to Production - right?
Comment 8 James Slagle 2005-10-06 15:48:46 EDT
By bits, do you mean packages?  I'm not aware of any request to do so.
Comment 9 Matt Webbink 2005-10-06 15:50:30 EDT
Yes, packages.  I believe Todd Sanders may be involved with this.
Comment 10 Todd Sanders 2005-10-06 16:41:57 EDT
John Wregglesworth is working on pushing two files into the downloads area
(WebQA).  There will be no packages.  I'll let you know when we are ready to
work with ProdOps to get this into Prod.  Will probably be Monday (Oct 10).
Comment 11 James Slagle 2005-10-10 10:44:21 EDT
rt https://rt.corp.redhat.com/rt3/Ticket/Display.html?id=141412 created for
Comment 12 James Slagle 2005-10-10 12:00:22 EDT
The channels, mappings, and downloads have been pushed to production.

Note You need to log in before you can comment on or make changes to this bug.